Crazy Eddies GUI System: CEGUI::FalagardStatic Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes | Static Protected Attributes
CEGUI::FalagardStatic Class Reference

Static class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardStatic:
[legend]
Collaboration diagram for CEGUI::FalagardStatic:
[legend]

List of all members.

## Public Member Functions
| FalagardStatic (const String &type)
| type name for this widget.
bool | isFrameEnabled (void) const
| Return whether the frame for this static widget is enabled or disabled.
bool | isBackgroundEnabled (void) const
| Return whether the background for this static widget is enabled to disabled.
void | setFrameEnabled (bool setting)
| Enable or disable rendering of the frame for this static widget.
void | setBackgroundEnabled (bool setting)
| Enable or disable rendering of the background for this static widget.
virtual void | render ()
| Populate render cache.
## Static Public Attributes
static const utf8 | TypeName []
## Protected Attributes
bool | d_frameEnabled
| True when the frame is enabled.
bool | d_backgroundEnabled
| true when the background is enabled.
## Static Protected Attributes
static FalagardStaticProperties::FrameEnabled | d_frameEnabledProperty
static FalagardStaticProperties::BackgroundEnabled | d_backgroundEnabledProperty

## Detailed Description

Static class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States:

- Enabled - basic rendering for enabled state.
- Disabled - basic rendering for disabled state.
- EnabledFrame - frame rendering for enabled state
- DisabledFrame - frame rendering for disabled state.
- WithFrameEnabledBackground - backdrop rendering for enabled state with frame enabled.
- WithFrameDisabledBackground - backdrop rendering for disabled state with frame enabled.
- NoFrameEnabledBackground - backdrop rendering for enabled state with frame disabled.
- NoFrameDisabledBackground - backdrop rendering for disabled state with frame disabled.

## Constructor & Destructor Documentation

CEGUI::FalagardStatic::FalagardStatic | ( | const String & | type | ) |

type name for this widget.

Constructor

## Member Function Documentation

bool CEGUI::FalagardStatic::isBackgroundEnabled | ( | void |  | ) | const`[inline]`

Return whether the background for this static widget is enabled to disabled.

Returns:
  true if the background is enabled and will be rendered. false if the background is disabled and will not be rendered.

bool CEGUI::FalagardStatic::isFrameEnabled | ( | void |  | ) | const`[inline]`

Return whether the frame for this static widget is enabled or disabled.

Returns:
  true if the frame is enabled and will be rendered. false is the frame is disabled and will not be rendered.

virtual void CEGUI::FalagardStatic::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implements CEGUI::WindowRenderer.

Reimplemented in CEGUI::FalagardStaticImage, and CEGUI::FalagardStaticText.

void CEGUI::FalagardStatic::setBackgroundEnabled | ( | bool | setting | ) |

Enable or disable rendering of the background for this static widget.

Parameters:

  setting | true to enable rendering of the background. false to disable rendering of the background.

void CEGUI::FalagardStatic::setFrameEnabled | ( | bool | setting | ) |

Enable or disable rendering of the frame for this static widget.

Parameters:

  setting | true to enable rendering of a frame. false to disable rendering of a frame.